> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tilta.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a person

> Register a person record used as a legal representative or ultimate beneficial owner during merchant KYB onboarding and identity verification.

Person records represent individual natural persons involved in merchant onboarding – specifically legal representatives and ultimate beneficial owners (UBOs). You must create a person record before associating them with a merchant. Person records capture the identity information Tilta needs to perform KYC checks: full legal name, date of birth, nationality, and residential addresses. If you do not provide an `external_id`, Tilta generates a UUID automatically.

<Tip>
  The `date_of_birth` field uses Unix timestamps in **seconds**, not milliseconds. January 1, 1980 at midnight UTC is
  `315532800`. Use a timestamp converter if you are unsure of the correct value for a given date.
</Tip>

<Note>
  After creating a person, associate them with the relevant merchant using [Add
  Representative](/api-reference/merchants/add-representative) or [Add Owner](/api-reference/merchants/add-owner). A person
  record alone has no effect on merchant onboarding until it is linked.
</Note>


## OpenAPI

````yaml POST /v1/persons
openapi: 3.0.0
info:
  version: 0.0.1
  title: Tilta API
  description: Tilta API documentation
servers:
  - url: https://api.tilta.io
    description: Tilta Production API
  - url: https://api.tilta-sandbox.io
    description: Tilta Sandbox API
security: []
paths:
  /v1/persons:
    post:
      tags:
        - Merchants
      summary: Create a person
      description: Create a person.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                external_id:
                  type: string
                  maxLength: 100
                  pattern: ^[a-zA-Z0-9-_]+$
                  description: Unique identifier of a person.
                salutation:
                  type: string
                  nullable: true
                  enum:
                    - MR
                    - MS
                    - OTHER
                  description: Person salutation.
                first_name:
                  type: string
                  description: Person first name.
                last_name:
                  type: string
                  description: Person last name.
                birth_date:
                  type: number
                  nullable: true
                  description: Person date of birth.
                email:
                  type: string
                  nullable: true
                  format: email
                  description: Person email.
                phone:
                  type: string
                  nullable: true
                  description: Person phone number. (+491711010101)
                  example: '+491711010101'
                is_fatca:
                  type: boolean
                  nullable: true
                  description: >-
                    Is the person a US taxpayer under FATCA reporting
                    obligations?
                is_pep:
                  type: boolean
                  nullable: true
                  description: Is the person a Politically Exposed person (PEP)?
                tax_id:
                  type: string
                  nullable: true
                  description: Person tax ID.
                citizenship:
                  type: array
                  nullable: true
                  items:
                    type: string
                    enum:
                      - AF
                      - AL
                      - DZ
                      - AS
                      - AD
                      - AO
                      - AI
                      - AQ
                      - AG
                      - AR
                      - AM
                      - AW
                      - AU
                      - AT
                      - AZ
                      - BS
                      - BH
                      - BD
                      - BB
                      - BY
                      - BE
                      - BZ
                      - BJ
                      - BM
                      - BT
                      - BO
                      - BQ
                      - BA
                      - BW
                      - BV
                      - BR
                      - IO
                      - BN
                      - BG
                      - BF
                      - BI
                      - CV
                      - KH
                      - CM
                      - CA
                      - KY
                      - CF
                      - TD
                      - CL
                      - CN
                      - CX
                      - CC
                      - CO
                      - KM
                      - CD
                      - CG
                      - CK
                      - CR
                      - HR
                      - CU
                      - CW
                      - CY
                      - CZ
                      - CI
                      - DK
                      - DJ
                      - DM
                      - DO
                      - EC
                      - EG
                      - SV
                      - GQ
                      - ER
                      - EE
                      - SZ
                      - ET
                      - FK
                      - FO
                      - FJ
                      - FI
                      - FR
                      - GF
                      - PF
                      - TF
                      - GA
                      - GM
                      - GE
                      - DE
                      - GH
                      - GI
                      - GR
                      - GL
                      - GD
                      - GP
                      - GU
                      - GT
                      - GG
                      - GN
                      - GW
                      - GY
                      - HT
                      - HM
                      - VA
                      - HN
                      - HK
                      - HU
                      - IS
                      - IN
                      - ID
                      - IR
                      - IQ
                      - IE
                      - IM
                      - IL
                      - IT
                      - JM
                      - JP
                      - JE
                      - JO
                      - KZ
                      - KE
                      - KI
                      - KP
                      - KR
                      - KW
                      - KG
                      - LA
                      - LV
                      - LB
                      - LS
                      - LR
                      - LY
                      - LI
                      - LT
                      - LU
                      - MO
                      - MG
                      - MW
                      - MY
                      - MV
                      - ML
                      - MT
                      - MH
                      - MQ
                      - MR
                      - MU
                      - YT
                      - MX
                      - FM
                      - MD
                      - MC
                      - MN
                      - ME
                      - MS
                      - MA
                      - MZ
                      - MM
                      - NA
                      - NR
                      - NP
                      - NL
                      - NC
                      - NZ
                      - NI
                      - NE
                      - NG
                      - NU
                      - NF
                      - MK
                      - MP
                      - 'NO'
                      - OM
                      - PK
                      - PW
                      - PS
                      - PA
                      - PG
                      - PY
                      - PE
                      - PH
                      - PN
                      - PL
                      - PT
                      - PR
                      - QA
                      - RO
                      - RU
                      - RW
                      - RE
                      - BL
                      - SH
                      - KN
                      - LC
                      - MF
                      - PM
                      - VC
                      - WS
                      - SM
                      - ST
                      - SA
                      - SN
                      - RS
                      - SC
                      - SL
                      - SG
                      - SX
                      - SK
                      - SI
                      - SB
                      - SO
                      - ZA
                      - GS
                      - SS
                      - ES
                      - LK
                      - SD
                      - SR
                      - SJ
                      - SE
                      - CH
                      - SY
                      - TW
                      - TJ
                      - TZ
                      - TH
                      - TL
                      - TG
                      - TK
                      - TO
                      - TT
                      - TN
                      - TM
                      - TC
                      - TV
                      - TR
                      - UG
                      - UA
                      - AE
                      - GB
                      - UM
                      - US
                      - UY
                      - UZ
                      - VU
                      - VE
                      - VN
                      - VG
                      - VI
                      - WF
                      - EH
                      - YE
                      - ZM
                      - ZW
                      - AX
                  description: Person citizenship.
                addresses:
                  type: array
                  nullable: true
                  items:
                    type: object
                    properties:
                      street:
                        type: string
                        description: Address line (e.g. street, road, place).
                        example: Example Street
                      house:
                        type: string
                        description: House number or denominator.
                        example: 42b
                      postcode:
                        type: string
                        description: ZIP or postal code.
                        example: '12345'
                      city:
                        type: string
                        description: City, district, town, or village.
                        example: Berlin
                      country:
                        type: string
                        enum:
                          - AF
                          - AL
                          - DZ
                          - AS
                          - AD
                          - AO
                          - AI
                          - AQ
                          - AG
                          - AR
                          - AM
                          - AW
                          - AU
                          - AT
                          - AZ
                          - BS
                          - BH
                          - BD
                          - BB
                          - BY
                          - BE
                          - BZ
                          - BJ
                          - BM
                          - BT
                          - BO
                          - BQ
                          - BA
                          - BW
                          - BV
                          - BR
                          - IO
                          - BN
                          - BG
                          - BF
                          - BI
                          - CV
                          - KH
                          - CM
                          - CA
                          - KY
                          - CF
                          - TD
                          - CL
                          - CN
                          - CX
                          - CC
                          - CO
                          - KM
                          - CD
                          - CG
                          - CK
                          - CR
                          - HR
                          - CU
                          - CW
                          - CY
                          - CZ
                          - CI
                          - DK
                          - DJ
                          - DM
                          - DO
                          - EC
                          - EG
                          - SV
                          - GQ
                          - ER
                          - EE
                          - SZ
                          - ET
                          - FK
                          - FO
                          - FJ
                          - FI
                          - FR
                          - GF
                          - PF
                          - TF
                          - GA
                          - GM
                          - GE
                          - DE
                          - GH
                          - GI
                          - GR
                          - GL
                          - GD
                          - GP
                          - GU
                          - GT
                          - GG
                          - GN
                          - GW
                          - GY
                          - HT
                          - HM
                          - VA
                          - HN
                          - HK
                          - HU
                          - IS
                          - IN
                          - ID
                          - IR
                          - IQ
                          - IE
                          - IM
                          - IL
                          - IT
                          - JM
                          - JP
                          - JE
                          - JO
                          - KZ
                          - KE
                          - KI
                          - KP
                          - KR
                          - KW
                          - KG
                          - LA
                          - LV
                          - LB
                          - LS
                          - LR
                          - LY
                          - LI
                          - LT
                          - LU
                          - MO
                          - MG
                          - MW
                          - MY
                          - MV
                          - ML
                          - MT
                          - MH
                          - MQ
                          - MR
                          - MU
                          - YT
                          - MX
                          - FM
                          - MD
                          - MC
                          - MN
                          - ME
                          - MS
                          - MA
                          - MZ
                          - MM
                          - NA
                          - NR
                          - NP
                          - NL
                          - NC
                          - NZ
                          - NI
                          - NE
                          - NG
                          - NU
                          - NF
                          - MK
                          - MP
                          - 'NO'
                          - OM
                          - PK
                          - PW
                          - PS
                          - PA
                          - PG
                          - PY
                          - PE
                          - PH
                          - PN
                          - PL
                          - PT
                          - PR
                          - QA
                          - RO
                          - RU
                          - RW
                          - RE
                          - BL
                          - SH
                          - KN
                          - LC
                          - MF
                          - PM
                          - VC
                          - WS
                          - SM
                          - ST
                          - SA
                          - SN
                          - RS
                          - SC
                          - SL
                          - SG
                          - SX
                          - SK
                          - SI
                          - SB
                          - SO
                          - ZA
                          - GS
                          - SS
                          - ES
                          - LK
                          - SD
                          - SR
                          - SJ
                          - SE
                          - CH
                          - SY
                          - TW
                          - TJ
                          - TZ
                          - TH
                          - TL
                          - TG
                          - TK
                          - TO
                          - TT
                          - TN
                          - TM
                          - TC
                          - TV
                          - TR
                          - UG
                          - UA
                          - AE
                          - GB
                          - UM
                          - US
                          - UY
                          - UZ
                          - VU
                          - VE
                          - VN
                          - VG
                          - VI
                          - WF
                          - EH
                          - YE
                          - ZM
                          - ZW
                          - AX
                        description: Two-letter country code (ISO 3166-1 alpha-2).
                      additional:
                        type: string
                        nullable: true
                        description: >-
                          Additional address information (e.g. PO Box, c/o name
                          etc.).
                        example: c/o Testimonial
                    required:
                      - postcode
                      - city
                      - country
                    description: Person's address.
              required:
                - external_id
                - first_name
                - last_name
              additionalProperties: false
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  external_id:
                    type: string
                    maxLength: 100
                    pattern: ^[a-zA-Z0-9-_]+$
                    description: Unique identifier of a person.
                  created_at:
                    type: number
                    description: >-
                      Timestamp indicating when the person was created (unix
                      time in seconds).
                    example: 1582896122
                  updated_at:
                    type: number
                    description: >-
                      Timestamp indicating the last time the person was updated
                      (unix time in seconds).
                    example: 1582896122
                  salutation:
                    type: string
                    nullable: true
                    enum:
                      - MR
                      - MS
                      - OTHER
                    description: Person salutation.
                  first_name:
                    type: string
                    description: Person first name.
                  last_name:
                    type: string
                    description: Person last name.
                  birth_date:
                    type: number
                    nullable: true
                    description: Person date of birth.
                  email:
                    type: string
                    nullable: true
                    format: email
                    description: Person email.
                  phone:
                    type: string
                    nullable: true
                    description: Person phone number. (+491711010101)
                    example: '+491711010101'
                  is_fatca:
                    type: boolean
                    nullable: true
                    description: >-
                      Is the person a US taxpayer under FATCA reporting
                      obligations?
                  is_pep:
                    type: boolean
                    nullable: true
                    description: Is the person a Politically Exposed person (PEP)?
                  tax_id:
                    type: string
                    nullable: true
                    description: Person tax ID.
                  citizenship:
                    type: array
                    nullable: true
                    items:
                      type: string
                      enum:
                        - AF
                        - AL
                        - DZ
                        - AS
                        - AD
                        - AO
                        - AI
                        - AQ
                        - AG
                        - AR
                        - AM
                        - AW
                        - AU
                        - AT
                        - AZ
                        - BS
                        - BH
                        - BD
                        - BB
                        - BY
                        - BE
                        - BZ
                        - BJ
                        - BM
                        - BT
                        - BO
                        - BQ
                        - BA
                        - BW
                        - BV
                        - BR
                        - IO
                        - BN
                        - BG
                        - BF
                        - BI
                        - CV
                        - KH
                        - CM
                        - CA
                        - KY
                        - CF
                        - TD
                        - CL
                        - CN
                        - CX
                        - CC
                        - CO
                        - KM
                        - CD
                        - CG
                        - CK
                        - CR
                        - HR
                        - CU
                        - CW
                        - CY
                        - CZ
                        - CI
                        - DK
                        - DJ
                        - DM
                        - DO
                        - EC
                        - EG
                        - SV
                        - GQ
                        - ER
                        - EE
                        - SZ
                        - ET
                        - FK
                        - FO
                        - FJ
                        - FI
                        - FR
                        - GF
                        - PF
                        - TF
                        - GA
                        - GM
                        - GE
                        - DE
                        - GH
                        - GI
                        - GR
                        - GL
                        - GD
                        - GP
                        - GU
                        - GT
                        - GG
                        - GN
                        - GW
                        - GY
                        - HT
                        - HM
                        - VA
                        - HN
                        - HK
                        - HU
                        - IS
                        - IN
                        - ID
                        - IR
                        - IQ
                        - IE
                        - IM
                        - IL
                        - IT
                        - JM
                        - JP
                        - JE
                        - JO
                        - KZ
                        - KE
                        - KI
                        - KP
                        - KR
                        - KW
                        - KG
                        - LA
                        - LV
                        - LB
                        - LS
                        - LR
                        - LY
                        - LI
                        - LT
                        - LU
                        - MO
                        - MG
                        - MW
                        - MY
                        - MV
                        - ML
                        - MT
                        - MH
                        - MQ
                        - MR
                        - MU
                        - YT
                        - MX
                        - FM
                        - MD
                        - MC
                        - MN
                        - ME
                        - MS
                        - MA
                        - MZ
                        - MM
                        - NA
                        - NR
                        - NP
                        - NL
                        - NC
                        - NZ
                        - NI
                        - NE
                        - NG
                        - NU
                        - NF
                        - MK
                        - MP
                        - 'NO'
                        - OM
                        - PK
                        - PW
                        - PS
                        - PA
                        - PG
                        - PY
                        - PE
                        - PH
                        - PN
                        - PL
                        - PT
                        - PR
                        - QA
                        - RO
                        - RU
                        - RW
                        - RE
                        - BL
                        - SH
                        - KN
                        - LC
                        - MF
                        - PM
                        - VC
                        - WS
                        - SM
                        - ST
                        - SA
                        - SN
                        - RS
                        - SC
                        - SL
                        - SG
                        - SX
                        - SK
                        - SI
                        - SB
                        - SO
                        - ZA
                        - GS
                        - SS
                        - ES
                        - LK
                        - SD
                        - SR
                        - SJ
                        - SE
                        - CH
                        - SY
                        - TW
                        - TJ
                        - TZ
                        - TH
                        - TL
                        - TG
                        - TK
                        - TO
                        - TT
                        - TN
                        - TM
                        - TC
                        - TV
                        - TR
                        - UG
                        - UA
                        - AE
                        - GB
                        - UM
                        - US
                        - UY
                        - UZ
                        - VU
                        - VE
                        - VN
                        - VG
                        - VI
                        - WF
                        - EH
                        - YE
                        - ZM
                        - ZW
                        - AX
                    description: Person citizenship.
                  addresses:
                    type: array
                    nullable: true
                    items:
                      type: object
                      properties:
                        street:
                          type: string
                          description: Address line (e.g. street, road, place).
                          example: Example Street
                        house:
                          type: string
                          description: House number or denominator.
                          example: 42b
                        postcode:
                          type: string
                          description: ZIP or postal code.
                          example: '12345'
                        city:
                          type: string
                          description: City, district, town, or village.
                          example: Berlin
                        country:
                          type: string
                          enum:
                            - AF
                            - AL
                            - DZ
                            - AS
                            - AD
                            - AO
                            - AI
                            - AQ
                            - AG
                            - AR
                            - AM
                            - AW
                            - AU
                            - AT
                            - AZ
                            - BS
                            - BH
                            - BD
                            - BB
                            - BY
                            - BE
                            - BZ
                            - BJ
                            - BM
                            - BT
                            - BO
                            - BQ
                            - BA
                            - BW
                            - BV
                            - BR
                            - IO
                            - BN
                            - BG
                            - BF
                            - BI
                            - CV
                            - KH
                            - CM
                            - CA
                            - KY
                            - CF
                            - TD
                            - CL
                            - CN
                            - CX
                            - CC
                            - CO
                            - KM
                            - CD
                            - CG
                            - CK
                            - CR
                            - HR
                            - CU
                            - CW
                            - CY
                            - CZ
                            - CI
                            - DK
                            - DJ
                            - DM
                            - DO
                            - EC
                            - EG
                            - SV
                            - GQ
                            - ER
                            - EE
                            - SZ
                            - ET
                            - FK
                            - FO
                            - FJ
                            - FI
                            - FR
                            - GF
                            - PF
                            - TF
                            - GA
                            - GM
                            - GE
                            - DE
                            - GH
                            - GI
                            - GR
                            - GL
                            - GD
                            - GP
                            - GU
                            - GT
                            - GG
                            - GN
                            - GW
                            - GY
                            - HT
                            - HM
                            - VA
                            - HN
                            - HK
                            - HU
                            - IS
                            - IN
                            - ID
                            - IR
                            - IQ
                            - IE
                            - IM
                            - IL
                            - IT
                            - JM
                            - JP
                            - JE
                            - JO
                            - KZ
                            - KE
                            - KI
                            - KP
                            - KR
                            - KW
                            - KG
                            - LA
                            - LV
                            - LB
                            - LS
                            - LR
                            - LY
                            - LI
                            - LT
                            - LU
                            - MO
                            - MG
                            - MW
                            - MY
                            - MV
                            - ML
                            - MT
                            - MH
                            - MQ
                            - MR
                            - MU
                            - YT
                            - MX
                            - FM
                            - MD
                            - MC
                            - MN
                            - ME
                            - MS
                            - MA
                            - MZ
                            - MM
                            - NA
                            - NR
                            - NP
                            - NL
                            - NC
                            - NZ
                            - NI
                            - NE
                            - NG
                            - NU
                            - NF
                            - MK
                            - MP
                            - 'NO'
                            - OM
                            - PK
                            - PW
                            - PS
                            - PA
                            - PG
                            - PY
                            - PE
                            - PH
                            - PN
                            - PL
                            - PT
                            - PR
                            - QA
                            - RO
                            - RU
                            - RW
                            - RE
                            - BL
                            - SH
                            - KN
                            - LC
                            - MF
                            - PM
                            - VC
                            - WS
                            - SM
                            - ST
                            - SA
                            - SN
                            - RS
                            - SC
                            - SL
                            - SG
                            - SX
                            - SK
                            - SI
                            - SB
                            - SO
                            - ZA
                            - GS
                            - SS
                            - ES
                            - LK
                            - SD
                            - SR
                            - SJ
                            - SE
                            - CH
                            - SY
                            - TW
                            - TJ
                            - TZ
                            - TH
                            - TL
                            - TG
                            - TK
                            - TO
                            - TT
                            - TN
                            - TM
                            - TC
                            - TV
                            - TR
                            - UG
                            - UA
                            - AE
                            - GB
                            - UM
                            - US
                            - UY
                            - UZ
                            - VU
                            - VE
                            - VN
                            - VG
                            - VI
                            - WF
                            - EH
                            - YE
                            - ZM
                            - ZW
                            - AX
                          description: Two-letter country code (ISO 3166-1 alpha-2).
                        additional:
                          type: string
                          nullable: true
                          description: >-
                            Additional address information (e.g. PO Box, c/o
                            name etc.).
                          example: c/o Testimonial
                      required:
                        - postcode
                        - city
                        - country
                      description: Person's address.
                required:
                  - external_id
                  - created_at
                  - updated_at
                  - first_name
                  - last_name
                additionalProperties: false
                description: A person has been successfully created or updated.
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/badRequestSchema'
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/unauthorizedRequestSchema'
      security:
        - bearerAuth: []
components:
  schemas:
    badRequestSchema:
      type: object
      properties:
        code:
          type: string
          description: Error code
          example: BAD_REQUEST
        error:
          type: string
          description: Error message for debugging purposes
          example: Request validation failed. 1 issue found.
        issues:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
                description: Issue code
                example: INVALID_TYPE
              path:
                type: string
                description: Issue path starting with body, params, querystring, or headers
                example: body.registered_at
              message:
                type: string
                description: Issue message for debugging purposes
                example: Invalid type
            required:
              - code
              - path
              - message
          description: List of issues
          example:
            - code: INVALID_TYPE
              path: body.registered_at
              message: Invalid type
      required:
        - code
        - error
        - issues
      description: Bad Request, see error message for details.
      example:
        code: BAD_REQUEST
        error: Request validation failed. 1 issue found.
        issues:
          - code: INVALID_TYPE
            path: body.registered_at
            message: Invalid type
    unauthorizedRequestSchema:
      type: object
      properties:
        error:
          type: string
          description: Error details.
          example: Unauthorized
        code:
          type: string
          description: Error code.
          example: UNAUTHORIZED
      required:
        - error
        - code
      description: Unauthorized Request.
      example:
        error: Unauthorized
        code: UNAUTHORIZED
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Your Tilta API key, sent as `Bearer <key>`.

````